/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PaymentPeriodicity
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PaymentPeriodicity {
  @SerializedName("value")
  private String value = null;

  @SerializedName("label")
  private String label = null;

  public PaymentPeriodicity value(String value) {
    this.value = value;
    return this;
  }

   /**
   * Periodicity value, ISO 8601 format (R[n]/P18Y9M4DT11H9M8S).
   * @return value
  **/
  @ApiModelProperty(example = "R12/P1M", required = true, value = "Periodicity value, ISO 8601 format (R[n]/P18Y9M4DT11H9M8S).")
  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }

  public PaymentPeriodicity label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label.
   * @return label
  **/
  @ApiModelProperty(example = "Monthly.", value = "Label.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PaymentPeriodicity paymentPeriodicity = (PaymentPeriodicity) o;
    return Objects.equals(this.value, paymentPeriodicity.value) &&
        Objects.equals(this.label, paymentPeriodicity.label);
  }

  @Override
  public int hashCode() {
    return Objects.hash(value, label);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PaymentPeriodicity {\n");
    
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

